petsc-3.4.2 2013-07-02

# MatDuplicateOption

Indicates if a duplicated sparse matrix should have its numerical values copied over or just its nonzero structure.

### Synopsis

    typedef enum {MAT_DO_NOT_COPY_VALUES,MAT_COPY_VALUES,MAT_SHARE_NONZERO_PATTERN} MatDuplicateOption;

Any additions/changes here MUST also be made in include/finclude/petscmat.h

      MAT_SHARE_NONZERO_PATTERN - the i and j arrays in the new matrix will be shared with the original matrix

                                  this also triggers the MAT_DO_NOT_COPY_VALUES option. This is used when you

                                  have several matrices with the same nonzero pattern.

### See Also

MatDuplicate()

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages